www.cendio.com
Bug 5110 - tl-xinit doesn't cleanup sessions directory the correct way
: tl-xinit doesn't cleanup sessions directory the correct way
Status: CLOSED FIXED
: ThinLinc
VSM Agent
: trunk
: PC Unknown
: P2 Normal
: 4.5.0
Assigned To:
:
:
:
: 4194
  Show dependency treegraph
 
Reported: 2014-04-25 13:00 by
Modified: 2015-09-25 14:01 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2014-04-25 13:00:55
If a directory with a file is created in the session directory, the cleanup
implementation of tl-xinit will fail to wipe the session directory.

Current implementation is kind of shorthanded and a recursive delete of session
directory would be more proper.

See support issue 15162 for more info.
------- Comment #1 From cendio 2015-08-12 14:02:36 -------
Fixed in r30656.

Tester should make sure that there is no way to fool it into deleting things
outside the session directory (except for bind mounts, which are undetectable
per design).

Tester should also verify that it doesn't halt on errors and only skips those
files.
------- Comment #2 From cendio 2015-08-14 11:08:30 -------
> 
> Tester should make sure that there is no way to fool it into deleting things
> outside the session directory (except for bind mounts, which are undetectable
> per design).
>

Verified code which check that files to be removed is on same filesystem as
base directory. There is also a check that prevents recurse to work on symbolic
linked directory.

Looks good.


> Tester should also verify that it doesn't halt on errors and only skips those
> files.

Verified that a cleaned out session directory only contains the files which the
process failed to cleanup.